## freefoam 0.1.0+dfsg+1

=== src/decompositionMethods/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#               ______                _     ____          __  __
#              |  ____|             _| |_  / __ \   /\   |  \/  |
#              | |__ _ __ ___  ___ /     \| |  | | /  \  | \  / |
#              |  __| '__/ _ \/ _ ( (| |) ) |  | |/ /\ \ | |\/| |
#              | |  | | |  __/  __/\_   _/| |__| / ____ \| |  | |
#              |_|  |_|  \___|\___|  |_|   \____/_/    \_\_|  |_|
#
#                   FreeFOAM: The Cross-Platform CFD Toolkit
#
# Copyright (C) 2008-2012 Michael Wild <themiwi@users.sf.net>
#                         Gerber van der Graaf <gerber_graaf@users.sf.net>
#-------------------------------------------------------------------------------
# License
#   This file is part of FreeFOAM.
#
#   FreeFOAM is free software: you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   FreeFOAM is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with FreeFOAM.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

add_subdirectory(scotchDecomp)
add_subdirectory(decompositionMethods)

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${FOAM_LIBRARY_OUTPUT_DIRECTORY}/plugins")
set(FOAM_INSTALL_LIBRARY_PATH "${FOAM_INSTALL_PLUGIN_PATH}")
unset(FOAM_SOVERSION)
unset(FOAM_VERSION_FULL)
foam_conditional_component(metisDecomp ${FOAM_ENABLE_METIS} metisDecomp
  "FOAM_ENABLE_METIS disabled")
foam_conditional_component(parMetisDecomp ${FOAM_ENABLE_PARMETIS} parMetisDecomp
  "FOAM_ENABLE_PARMETIS disabled")

# ------------------------- vim: set sw=2 sts=2 et: --------------- end-of-file

=== src/errorEstimation/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#               ______                _     ____          __  __
#              |  ____|             _| |_  / __ \   /\   |  \/  |
#              | |__ _ __ ___  ___ /     \| |  | | /  \  | \  / |
#              |  __| '__/ _ \/ _ ( (| |) ) |  | |/ /\ \ | |\/| |
#              | |  | | |  __/  __/\_   _/| |__| / ____ \| |  | |
#              |_|  |_|  \___|\___|  |_|   \____/_/    \_\_|  |_|
#
#                   FreeFOAM: The Cross-Platform CFD Toolkit
#
# Copyright (C) 2008-2012 Michael Wild <themiwi@users.sf.net>
#                         Gerber van der Graaf <gerber_graaf@users.sf.net>
#-------------------------------------------------------------------------------
# License
#   This file is part of FreeFOAM.
#
#   FreeFOAM is free software: you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   FreeFOAM is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with FreeFOAM.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

foam_add_library(errorEstimation)

foam_target_link_libraries(errorEstimation
  OpenFOAM
  finiteVolume
  meshTools
  dynamicMesh
  )

foam_install_targets(errorEstimation)

# ------------------------- vim: set sw=2 sts=2 et: --------------- end-of-file

=== src/sampling/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#               ______                _     ____          __  __
#              |  ____|             _| |_  / __ \   /\   |  \/  |
#              | |__ _ __ ___  ___ /     \| |  | | /  \  | \  / |
#              |  __| '__/ _ \/ _ ( (| |) ) |  | |/ /\ \ | |\/| |
#              | |  | | |  __/  __/\_   _/| |__| / ____ \| |  | |
#              |_|  |_|  \___|\___|  |_|   \____/_/    \_\_|  |_|
#
#                   FreeFOAM: The Cross-Platform CFD Toolkit
#
# Copyright (C) 2008-2012 Michael Wild <themiwi@users.sf.net>
#                         Gerber van der Graaf <gerber_graaf@users.sf.net>
#-------------------------------------------------------------------------------
# License
#   This file is part of FreeFOAM.
#
#   FreeFOAM is free software: you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   FreeFOAM is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with FreeFOAM.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

foam_add_library(sampling)

foam_target_link_libraries(sampling
  OpenFOAM
  finiteVolume
  meshTools
  surfMesh
  triSurface
  )

foam_install_targets(sampling)

foam_link_loadable_library(sampling)

# ------------------------- vim: set sw=2 sts=2 et: --------------- end-of-file

=== applications/solvers/basic/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#               ______                _     ____          __  __
#              |  ____|             _| |_  / __ \   /\   |  \/  |
#              | |__ _ __ ___  ___ /     \| |  | | /  \  | \  / |
#              |  __| '__/ _ \/ _ ( (| |) ) |  | |/ /\ \ | |\/| |
#              | |  | | |  __/  __/\_   _/| |__| / ____ \| |  | |
#              |_|  |_|  \___|\___|  |_|   \____/_/    \_\_|  |_|
#
#                   FreeFOAM: The Cross-Platform CFD Toolkit
#
# Copyright (C) 2008-2012 Michael Wild <themiwi@users.sf.net>
#                         Gerber van der Graaf <gerber_graaf@users.sf.net>
#-------------------------------------------------------------------------------
# License
#   This file is part of FreeFOAM.
#
#   FreeFOAM is free software: you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   FreeFOAM is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with FreeFOAM.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

add_subdirectory(laplacianFoam)
add_subdirectory(scalarTransportFoam)
add_subdirectory(potentialFoam)

# ------------------------- vim: set sw=2 sts=2 et: --------------- end-of-file

=== applications/test/FixedList/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#               ______                _     ____          __  __
#              |  ____|             _| |_  / __ \   /\   |  \/  |
#              | |__ _ __ ___  ___ /     \| |  | | /  \  | \  / |
#              |  __| '__/ _ \/ _ ( (| |) ) |  | |/ /\ \ | |\/| |
#              | |  | | |  __/  __/\_   _/| |__| / ____ \| |  | |
#              |_|  |_|  \___|\___|  |_|   \____/_/    \_\_|  |_|
#
#                   FreeFOAM: The Cross-Platform CFD Toolkit
#
# Copyright (C) 2008-2012 Michael Wild <themiwi@users.sf.net>
#                         Gerber van der Graaf <gerber_graaf@users.sf.net>
#-------------------------------------------------------------------------------
# License
#   This file is part of FreeFOAM.
#
#   FreeFOAM is free software: you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   FreeFOAM is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with FreeFOAM.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

include(files.cmake)

add_executable(FixedListTest ${SRCS})

foam_target_link_libraries(FixedListTest
  OpenFOAM
  )

# ------------------------- vim: set sw=2 sts=2 et: --------------- end-of-file

=== applications/test/HashPtrTable/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#               ______                _     ____          __  __
#              |  ____|             _| |_  / __ \   /\   |  \/  |
#              | |__ _ __ ___  ___ /     \| |  | | /  \  | \  / |
#              |  __| '__/ _ \/ _ ( (| |) ) |  | |/ /\ \ | |\/| |
#              | |  | | |  __/  __/\_   _/| |__| / ____ \| |  | |
#              |_|  |_|  \___|\___|  |_|   \____/_/    \_\_|  |_|
#
#                   FreeFOAM: The Cross-Platform CFD Toolkit
#
# Copyright (C) 2008-2012 Michael Wild <themiwi@users.sf.net>
#                         Gerber van der Graaf <gerber_graaf@users.sf.net>
#-------------------------------------------------------------------------------
# License
#   This file is part of FreeFOAM.
#
#   FreeFOAM is free software: you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   FreeFOAM is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with FreeFOAM.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

include(files.cmake)

add_executable(hashPtrTableTest ${SRCS})

foam_target_link_libraries(hashPtrTableTest
  OpenFOAM
  )

# ------------------------- vim: set sw=2 sts=2 et: --------------- end-of-file

=== applications/test/HashTable2/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#               ______                _     ____          __  __
#              |  ____|             _| |_  / __ \   /\   |  \/  |
#              | |__ _ __ ___  ___ /     \| |  | | /  \  | \  / |
#              |  __| '__/ _ \/ _ ( (| |) ) |  | |/ /\ \ | |\/| |
#              | |  | | |  __/  __/\_   _/| |__| / ____ \| |  | |
#              |_|  |_|  \___|\___|  |_|   \____/_/    \_\_|  |_|
#
#                   FreeFOAM: The Cross-Platform CFD Toolkit
#
# Copyright (C) 2008-2012 Michael Wild <themiwi@users.sf.net>
#                         Gerber van der Graaf <gerber_graaf@users.sf.net>
#-------------------------------------------------------------------------------
# License
#   This file is part of FreeFOAM.
#
#   FreeFOAM is free software: you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   FreeFOAM is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with FreeFOAM.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

include(files.cmake)

add_executable(hashTableTest2 ${SRCS})

foam_target_link_libraries(hashTableTest2
  OpenFOAM
  )

# ------------------------- vim: set sw=2 sts=2 et: --------------- end-of-file

=== applications/test/Hashing/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#               ______                _     ____          __  __
#              |  ____|             _| |_  / __ \   /\   |  \/  |
#              | |__ _ __ ___  ___ /     \| |  | | /  \  | \  / |
#              |  __| '__/ _ \/ _ ( (| |) ) |  | |/ /\ \ | |\/| |
#              | |  | | |  __/  __/\_   _/| |__| / ____ \| |  | |
#              |_|  |_|  \___|\___|  |_|   \____/_/    \_\_|  |_|
#
#                   FreeFOAM: The Cross-Platform CFD Toolkit
#
# Copyright (C) 2008-2012 Michael Wild <themiwi@users.sf.net>
#                         Gerber van der Graaf <gerber_graaf@users.sf.net>
#-------------------------------------------------------------------------------
# License
#   This file is part of FreeFOAM.
#
#   FreeFOAM is free software: you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   FreeFOAM is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with FreeFOAM.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

include(files.cmake)

add_executable(testHashing ${SRCS})

foam_target_link_libraries(testHashing
  OpenFOAM
  )

# ------------------------- vim: set sw=2 sts=2 et: --------------- end-of-file

=== applications/test/PtrList/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#               ______                _     ____          __  __
#              |  ____|             _| |_  / __ \   /\   |  \/  |
#              | |__ _ __ ___  ___ /     \| |  | | /  \  | \  / |
#              |  __| '__/ _ \/ _ ( (| |) ) |  | |/ /\ \ | |\/| |
#              | |  | | |  __/  __/\_   _/| |__| / ____ \| |  | |
#              |_|  |_|  \___|\___|  |_|   \____/_/    \_\_|  |_|
#
#                   FreeFOAM: The Cross-Platform CFD Toolkit
#
# Copyright (C) 2008-2012 Michael Wild <themiwi@users.sf.net>
#                         Gerber van der Graaf <gerber_graaf@users.sf.net>
#-------------------------------------------------------------------------------
# License
#   This file is part of FreeFOAM.
#
#   FreeFOAM is free software: you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   FreeFOAM is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with FreeFOAM.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

include(files.cmake)

add_executable(PtrListTest ${SRCS})

foam_target_link_libraries(PtrListTest
  OpenFOAM
  )

# ------------------------- vim: set sw=2 sts=2 et: --------------- end-of-file

=== applications/test/Tuple2/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#               ______                _     ____          __  __
#              |  ____|             _| |_  / __ \   /\   |  \/  |
#              | |__ _ __ ___  ___ /     \| |  | | /  \  | \  / |
#              |  __| '__/ _ \/ _ ( (| |) ) |  | |/ /\ \ | |\/| |
#              | |  | | |  __/  __/\_   _/| |__| / ____ \| |  | |
#              |_|  |_|  \___|\___|  |_|   \____/_/    \_\_|  |_|
#
#                   FreeFOAM: The Cross-Platform CFD Toolkit
#
# Copyright (C) 2008-2012 Michael Wild <themiwi@users.sf.net>
#                         Gerber van der Graaf <gerber_graaf@users.sf.net>
#-------------------------------------------------------------------------------
# License
#   This file is part of FreeFOAM.
#
#   FreeFOAM is free software: you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   FreeFOAM is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with FreeFOAM.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

include(files.cmake)

add_executable(Tuple2Test ${SRCS})

foam_target_link_libraries(Tuple2Test
  OpenFOAM
  )

# ------------------------- vim: set sw=2 sts=2 et: --------------- end-of-file

=== applications/test/callback/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#               ______                _     ____          __  __
#              |  ____|             _| |_  / __ \   /\   |  \/  |
#              | |__ _ __ ___  ___ /     \| |  | | /  \  | \  / |
#              |  __| '__/ _ \/ _ ( (| |) ) |  | |/ /\ \ | |\/| |
#              | |  | | |  __/  __/\_   _/| |__| / ____ \| |  | |
#              |_|  |_|  \___|\___|  |_|   \____/_/    \_\_|  |_|
#
#                   FreeFOAM: The Cross-Platform CFD Toolkit
#
# Copyright (C) 2008-2012 Michael Wild <themiwi@users.sf.net>
#                         Gerber van der Graaf <gerber_graaf@users.sf.net>
#-------------------------------------------------------------------------------
# License
#   This file is part of FreeFOAM.
#
#   FreeFOAM is free software: you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   FreeFOAM is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with FreeFOAM.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

include(files.cmake)

add_executable(callbackTest ${SRCS})

foam_target_link_libraries(callbackTest
  OpenFOAM
  )

# ------------------------- vim: set sw=2 sts=2 et: --------------- end-of-file

=== applications/test/cyclic/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#               ______                _     ____          __  __
#              |  ____|             _| |_  / __ \   /\   |  \/  |
#              | |__ _ __ ___  ___ /     \| |  | | /  \  | \  / |
#              |  __| '__/ _ \/ _ ( (| |) ) |  | |/ /\ \ | |\/| |
#              | |  | | |  __/  __/\_   _/| |__| / ____ \| |  | |
#              |_|  |_|  \___|\___|  |_|   \____/_/    \_\_|  |_|
#
#                   FreeFOAM: The Cross-Platform CFD Toolkit
#
# Copyright (C) 2008-2012 Michael Wild <themiwi@users.sf.net>
#                         Gerber van der Graaf <gerber_graaf@users.sf.net>
#-------------------------------------------------------------------------------
# License
#   This file is part of FreeFOAM.
#
#   FreeFOAM is free software: you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the
#   Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   FreeFOAM is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#   for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with FreeFOAM.  If not, see <http://www.gnu.org/licenses/>.
#-------------------------------------------------------------------------------

include(files.cmake)

add_executable(cyclicTest ${SRCS})

foam_target_link_libraries(cyclicTest
  OpenFOAM
  finiteVolume
  )

# ------------------------- vim: set sw=2 sts=2 et: --------------- end-of-file

=== debian/changelog ===
freefoam (0.1.0+dfsg+1-4) unstable; urgency=medium

  [ Fernando Seiti Furusato ]
  * [c95645b] Add ppc64el arch to FOAMDetermineArch.cmake.

  [ Santiago Vila ]
  * [711560c] Fix compilation due to flex version. (Closes: #831247)

  [ Anton Gladky ]
  * [f32ee5e] Remove Gerber from the uploader list.
  * [218128b] Apply cme fix dpkg-control.
  * [c3c5e7b] Apply cme fix dpkg-copyright.
  * [ca71f22] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Tue, 30 Aug 2016 15:23:25 +0200

freefoam (0.1.0+dfsg+1-3) unstable; urgency=medium

  * [cc007a9] Revert joining all BDs. Separate arch-indep again.

 -- Anton Gladky <gladk@debian.org>  Sat, 27 Sep 2014 22:59:07 +0200

freefoam (0.1.0+dfsg+1-2) unstable; urgency=medium

  * [68b9a6a] Join Build-Depends-Indep to BD. 
              Fixes FTBFS when building with arch-only builds.

 -- Anton Gladky <gladk@debian.org>  Sun, 21 Sep 2014 08:37:03 +0200

freefoam (0.1.0+dfsg+1-1) unstable; urgency=medium

  * [46b30f0] Remove UserGuide. (Closes: #708877)
  * [05981d0] Remove obsolete DM-Upload-Allowed flag.
  * [f7a772e] Use dh 9 instead of cdbs.
  * [63415da] Use wrap-and-sort.
  * [4dcee0e] Add myself to uploaders.
  * [b3e3ec7] Use canonical VCS-field.
  * [4e805b6] Set Standards-version: 3.9.6. No changes.
  * [0942ed0] Build APT-docs.
  * [c17d32b] Add python to depends.
  * [c8905f0] Fix python header.
  * [322c008] Fix cmake failure.

 -- Anton Gladky <gladk@debian.org>  Fri, 19 Sep 2014 21:39:55 +0200

freefoam (0.1.0+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on mips(el).
    Add mips.diff.
    Patch by Jurica Stanojkovic <Jurica.Stanojkovic@imgtec.com>.
    Closes: #749909.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 31 May 2014 03:03:08 +0100

=== debian/control ===
Source: freefoam
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Michael Wild <themiwi@users.sourceforge.net>,
           Anton Gladky <gladk@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               dpkg-dev,
               flex,
               gawk,
               libreadline6-dev,
               libscotch-dev,
               mpi-default-bin,
               mpi-default-dev,
               paraview,
               python,
               zlib1g-dev
Build-Depends-Indep: asciidoc,
                     asymptote,
                     dblatex,
                     docbook-utils,
                     doxygen,
                     dvipng,
                     graphviz,
                     libjs-jquery,
                     libxml2-utils,
                     texlive-science
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/freefoam.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/freefoam.git
Homepage: http://freefoam.wiki.sourceforge.net/

Package: freefoam
Architecture: any
Depends: libfreefoam1 (= ${binary:Version}),
         mpi-default-bin,
         tcsh | csh | c-shell,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: programs for Computational Fluid Dynamics (CFD)
 A collection of solvers and utility programs for grid generation,
 simulation and analyzing of complex fluid flows, post-processing and
 visualizing of the resulting data. The flows may involve chemical
 reactions, turbulence and heat transfer, solid dynamics,
 electromagnetics and even the pricing of financial options. FreeFOAM
 is a fork of OpenFOAM.
 .
 The programs are invoked with "freefoam foo".

Package: freefoam-dev-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: python
Description: software for Computational Fluid Dynamics - developers documentation
 Library references and developers documentation for a collection of
 programs for grid generation, simulation and analyzing of complex
 fluid flows, post-processing and visualizing of the resulting data. The
 flows may involve chemical reactions, turbulence and heat transfer,
 solid dynamics, electromagnetics and even the pricing of financial
 options. FreeFOAM is a fork of OpenFOAM.

Package: freefoam-user-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: python
Description: software for Computational Fluid Dynamics - user documentation
 Tutorials and user documentation for a collection of programs for
 grid generation, simulation and analyzing of complex fluid flows,
 post-processing and visualizing of the resulting data. The flows may
 involve chemical reactions, turbulence and heat transfer, solid
 dynamics, electromagnetics and even the pricing of financial
 options. FreeFOAM is a fork of OpenFOAM.

Package: libfreefoam-dev
Architecture: any
Section: libdevel
Depends: libfreefoam1 (= ${binary:Version}),
         python (<< 2.8),
         python,
         ${misc:Depends},
         ${python:Depends}
Description: libraries for Computational Fluid Dynamics (CFD) - development files
 Libraries and modules for grid generation, simulation and analyzing of
 complex fluid flows, post-processing and visualizing of the resulting
 data. The flows may involve chemical reactions, turbulence, heat
 transfer, solid dynamics, electromagnetics and even the pricing of
 financial options. FreeFOAM is a fork of OpenFOAM.
 .
 This package contains static linked libraries, headers and templates

Package: libfreefoam1
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: libraries for Computational Fluid Dynamics (CFD)
 Libraries and modules for grid generation, simulation and analyzing
 of complex fluid flows. The flows may involve chemical reactions,
 turbulence, heat transfer, solid dynamics, electromagnetics and even
 the pricing of financial options. The libraries also include
 algorithms for post-processing and visualizing the resulting
 data. FreeFOAM is a fork of OpenFOAM.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=cmake --parallel --with python2

export OMPI_MCA_plm_rsh_agent=/bin/false
export DEB_CXXFLAGS_MAINT_APPEND = -fpermissive

FF_SUBDIR=freefoam

FF_CONFIG_THIRD_PARTY=					\
	-DFOAM_BUILD_PRIVATE_METIS=OFF			\
	-DFOAM_BUILD_PRIVATE_PARMETIS=OFF		\
	-DFOAM_BUILD_PRIVATE_SCOTCH=OFF			\
	-DFOAM_BUILD_PRIVATE_ZLIB=OFF

FF_CONFIG_PACK=						\
	-DCPACK_BINARY_DEB=OFF				\
	-DCPACK_BINARY_NSIS=OFF				\
	-DCPACK_BINARY_RPM=OFF				\
	-DCPACK_BINARY_STGZ=OFF				\
	-DCPACK_BINARY_TBZ2=OFF				\
	-DCPACK_BINARY_TGZ=OFF				\
	-DCPACK_BINARY_TZ=OFF				\
	-DCPACK_SOURCE_TBZ2=OFF				\
	-DCPACK_SOURCE_TGZ=OFF				\
	-DCPACK_SOURCE_TZ=OFF				\
	-DCPACK_SOURCE_ZIP=OFF				\

FF_DOC=							\
	-DFOAM_ENABLE_PDF_GUIDES=OFF			\
	-DFOAM_ENABLE_XHTML_GUIDES=OFF			\
	-DFOAM_ENABLE_XHTML_HELP=OFF			\
	-DFOAM_ENABLE_MATHJAX=OFF			\
	-DFOAM_ENABLE_MANPAGE_HELP=OFF			\
	-DFOAM_DOCS_FOR_SF=OFF				\

FF_INSTALL=								\
	-DFOAM_INSTALL_BIN_PATH=/usr/bin				\
	-DFOAM_INSTALL_CMAKE_PATH=/usr/share/$(FF_SUBDIR)/CMake		\
	-DFOAM_INSTALL_CONFIG_PATH=/etc/$(FF_SUBDIR)			\
	-DFOAM_INSTALL_DATA_PATH=/usr/share/$(FF_SUBDIR)		\
	-DFOAM_INSTALL_DOC_PATH=/usr/share/doc/$(FF_SUBDIR)		\
	-DFOAM_INSTALL_HEADER_PATH=/usr/include/$(FF_SUBDIR)		\
	-DFOAM_INSTALL_LIBEXEC_PATH=/usr/bin				\
	-DFOAM_INSTALL_LIBRARY_PATH=/usr/lib/$(FF_SUBDIR)		\
	-DFOAM_INSTALL_MAN_PATH=/usr/share/man				\
	-DFOAM_INSTALL_PLUGIN_PATH=/usr/lib/$(FF_SUBDIR)/plugins1	\
	-DFOAM_INSTALL_TUTORIALS_PATH=/usr/share/doc/$(FF_SUBDIR)	\
	-DFOAM_INSTALL_USERDFOAM_PATH=/usr/lib/$(FF_SUBDIR)/plugins1/ensightReader

extra_flags= 					\
	-DFOAM_EXE_PREFIX=freefoam-			\
	-DFOAM_ENABLE_METIS=OFF				\
	-DFOAM_ENABLE_MGRIDGEN=OFF			\
	-DFOAM_USE_MPI=ON				\
	-DFOAM_DEFAULT_PSTREAM=mpi			\
	-DFOAM_DOUBLE_PRECISION=ON			\
	-DFOAM_ENABLE_PARMETIS=OFF			\
	-DCMAKE_SKIP_RPATH=OFF				\
	-DFOAM_ENABLE_CCMIO=OFF				\
        -DBUILD_TESTING=OFF				\
	-DFOAM_ENABLE_FULL_TUTORIAL_TEST=OFF		\
	$(FF_CONFIG_THIRD_PARTY)			\
	$(FF_DOC)					\
	$(FF_INSTALL)

override_dh_auto_configure:
	if [ -x /usr/bin/doxygen ] ; then dh_auto_configure -- $(extra_flags) -DFOAM_ENABLE_DOXYGEN_DOCS=ON	;\
		else dh_auto_configure -- $(extra_flags) -DFOAM_ENABLE_DOXYGEN_DOCS=OFF; fi

override_dh_installchangelogs:
	dh_installchangelogs -Xchanges
